Get all help desk request attachments

get

/api/boss/data/objects/ora/cxServiceCore/helpdesk/v1/$en/internalServiceRequests/{internalServiceRequests_id}/$attachments

Request

Path Parameters
  • This path parameter maps to the following field defined in the Internal Service Requests REST resource:
    1. srNumber: The unique number that's used to identify a help desk request. You can edit the help desk request number to a format that's best suitable to your organizational requirements.
Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

An array of items response
Body ()
Root Schema : oraCxServiceCoreHelpdesk.HelpDeskRequestAttachment_collection-response
Match All
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : oraCxServiceCoreHelpdesk.HelpDeskRequestAttachment_collection-response-allOf[1]
Type: object
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : oraCxServiceCoreHelpdesk.HelpDeskRequestAttachment_item-response
Match All
Show Source
Nested Schema : oraCxServiceCoreHelpdesk.HelpDeskRequestAttachment_item
Match All
The help desk request attachment resource lets you view, create, update, and delete attachments associated to a Help Desk Request, such as documents, media, or web URLs.
Show Source
Nested Schema : oraCxServiceCoreHelpdesk.HelpDeskRequestAttachment_item-fields
Match All
Show Source
Nested Schema : oraCxServiceCoreHelpdesk.HelpDeskRequestAttachment_item-fields-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Attachment_abstract-item
Type: object
Show Source
Nested Schema : oraCxServiceCoreHelpdesk.HelpDeskRequestAttachment_item-fields-allOf[2]
Type: object
Show Source
Nested Schema : Help Desk Request Attachment
Type: object
Title: Help Desk Request Attachment
The help desk request attachment resource lets you view, create, update, and delete attachments associated to a Help Desk Request, such as documents, media, or web URLs.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : category
Match All
The category of the attachment.
Show Source
  • Title: Attachment Category
    Default Value: MISC
    The category of the attachment.
  • Allowed Values: [ "SVC_INTERNAL", "SVC_INLINE", "MISC" ]
Nested Schema : document
Match All
The name of the accessor used to retrieve the document.
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Document Accessor
Type: object
Title: Document Accessor
The name of the accessor used to retrieve the document.
Nested Schema : chunkingDirectives
Type: object
Show Source
Nested Schema : downloadParameters
Type: object
Show Source
Nested Schema : latestDocument
Match All
The latest version of the attached document.
Show Source
Nested Schema : type
Match All
Show Source
  • Allowed Values: [ "FILE", "WEB_PAGE", "TMURI", "TEXT" ]
Nested Schema : uploadParameters
Type: object
Show Source
Nested Schema : chunkCount
Match All
The required number of chunked files to be uploaded to the content server.
Show Source
Nested Schema : chunkSize
Match All
The required size of each chunked file to be uploaded to the content server.
Show Source
Nested Schema : prefix
Match All
The prefix used in the file names of the chunked files.
Show Source
  • Title: Document
    The prefix used in the file names of the chunked files.
Nested Schema : version
Match All
Show Source
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Nested Schema : Latest Document
Type: object
Title: Latest Document
The latest version of the attached document.
Nested Schema : Document
Type: object
Title: Document
Directives for customers uploading chunked files.
Nested Schema : Download Parameters
Type: object
Title: Download Parameters
Used to get the parameters required to download a file type document.
Nested Schema : Upload Parameters
Type: object
Title: Upload Parameters
Used to get the parameters required to upload a file type document.
Nested Schema : $context
Type: object
Show Source
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Back to Top